## node-temporary 0.0.8

=== Makefile ===
TESTS = test/*.test.js

test:
	@NODE_ENV=test ./node_modules/.bin/mocha \
	--reporter spec \
	$(TESTS)

clean:
	rm -f examples/tmp/*

.PHONY: test clean

=== debian/changelog ===
node-temporary (0.0.8-2ubuntu1) bionic; urgency=medium

  * debian/tests/control: set Restrictions: allow-stderr; the test currently
    fails with deprecation warnings due to the tests themselves, not an
    issue with the code.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 21:14:54 +0000

node-temporary (0.0.8-2) unstable; urgency=medium

  * Add noe-sinon to build deps (Closes: #848013) 

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Dec 2016 15:41:38 +0530

node-temporary (0.0.8-1) unstable; urgency=low

  * Initial release (Closes: #847778)

 -- Pirate Praveen <praveen@debian.org>  Mon, 12 Dec 2016 00:37:35 +0530

=== debian/control ===
Source: node-temporary
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , mocha
 , chai
 , node-sinon 
 , node-package (>= 1.0.0)
Standards-Version: 3.9.8
Homepage: http://github.com/vesln/temporary
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-temporary.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-temporary.git

Package: node-temporary
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-package (>= 1.0.0)
Description: Easily create temporary files and directories
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-temporary

Test-Command: make test
Depends: @, @builddeps@
Restrictions: allow-stderr

## node-temporary 1.0.0

=== debian/changelog ===
node-temporary (1.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.0.0
  * Enable mocha test using pkg-js-tools
  * Remove patches now useless
  * Add pkg-js-tools in build dependencies
  * Import pkg-js-autopkgtest control file
  * Hide false positive lintian error

 -- Xavier Guimard <yadd@debian.org>  Mon, 28 Jan 2019 19:34:07 +0100

node-temporary (0.0.8-3) unstable; urgency=medium

  * Team upload
  * Add upstream/metadata
  * Add patch to fix fs() calls. Fixes debci (Closes: #918404, #890945)
  * Bump debhelper compatibility level to 11
  * Declare compliance with policy 4.3.0
  * Update links to https
  * Change section to javascript
  * Update VCS fields to salsa
  * Add description
  * Remove useless "make test" in autopkgtest files

 -- Xavier Guimard <yadd@debian.org>  Wed, 23 Jan 2019 10:01:50 +0100

=== debian/control ===
Source: node-temporary
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-buildinfo,
               nodejs,
               mocha,
               pkg-js-tools,
               chai,
               node-sinon,
               node-package
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-temporary
Vcs-Git: https://salsa.debian.org/js-team/node-temporary.git
Homepage: https://github.com/vesln/temporary

Package: node-temporary
Architecture: all
Depends: ${misc:Depends},
         nodejs,
         node-package
Description: Easily create temporary files and directories
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

#override_dh_auto_build:

override_dh_installchangelogs:
	dh_installchangelogs -k History.md

=== debian/tests/control ===
Test-Command: /usr/share/pkg-js-autopkgtest/runner require
Depends: @, pkg-js-autopkgtest

Test-Command: /usr/share/pkg-js-autopkgtest/runner
Depends: @, @builddeps@, pkg-js-autopkgtest

## node-temporary 1.0.1

=== debian/changelog ===
node-temporary (1.0.1-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * New upstream version 1.0.1
  * Switch install to pkg-js-tools

 -- Xavier Guimard <yadd@debian.org>  Thu, 10 Oct 2019 21:47:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,21 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Section: javascript
+Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-buildinfo,
                nodejs,
                mocha,
-               pkg-js-tools,
                chai,
                node-sinon,
-               node-package
-Standards-Version: 4.3.0
+               node-package,
+               pkg-js-tools (>= 0.9.12~)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-temporary
 Vcs-Git: https://salsa.debian.org/js-team/node-temporary.git
 Homepage: https://github.com/vesln/temporary
+Rules-Requires-Root: no
 
 Package: node-temporary
 Architecture: all

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-temporary-$1.tar.gz/ \
 https://github.com/vesln/temporary/tags .*/archive/v?([\d\.]+).tar.gz

## node-temporary 1.1.0

=== debian/changelog ===
node-temporary (1.1.0-2) unstable; urgency=medium

  * Team upload

  [ Patrick Vavrina ]
  * Increase test timeout

  [ Yadd ]
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 01:32:09 +0100

node-temporary (1.1.0-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.0, no changes needed.

  [ Xavier Guimard ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 1.1.0

 -- Xavier Guimard <yadd@debian.org>  Fri, 25 Dec 2020 20:28:48 +0100

=== debian/control ===
Testsuite: autopkgtest-pkg-nodejs
Source: node-temporary
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-package <!nocheck>
 , node-sinon <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-temporary
Vcs-Git: https://salsa.debian.org/js-team/node-temporary.git
Homepage: https://github.com/vesln/temporary
Rules-Requires-Root: no

Package: node-temporary
Architecture: all
Depends:
 ${misc:Depends}
 , node-package
Description: Easily create temporary files and directories
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-temporary-$1/ \
 https://github.com/vesln/temporary/tags .*/archive/.*/v?([\d\.]+).tar.gz
